# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: obconf-qt
Version: 0.16.4
Release: alt2

Summary: Openbox configuration tool
License: GPL-2.0-or-later
Group: Graphical desktop/Other

Url: https://github.com/lxqt/obconf-qt
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel qt6-base-devel qt6-tools-devel
BuildRequires: pkgconfig(expat)
BuildRequires: libopenbox-devel

%description
%summary.

%prep
%setup
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_desktopdir/*
%_datadir/%name
%_liconsdir/*
%doc AUTHORS CHANGELOG README.md

%changelog
* Wed Jul 10 2024 Anton Midyukov <antohami@altlinux.org> 0.16.4-alt2
- qt6 port

* Sun Jan 21 2024 Anton Midyukov <antohami@altlinux.org> 0.16.4-alt1
- 0.16.4

* Sun Dec 17 2023 Anton Midyukov <antohami@altlinux.org> 0.16.3-alt2
- fix build with libxml2-2.12.xr
- update URL

* Thu Sep 07 2023 Anton Midyukov <antohami@altlinux.org> 0.16.3-alt1
- New version 0.16.3.

* Sun Apr 17 2022 Anton Midyukov <antohami@altlinux.org> 0.16.2-alt1
- new version 0.16.2

* Tue Aug 31 2021 Anton Midyukov <antohami@altlinux.org> 0.16.1-alt1
- new version 0.16.1

* Thu Nov 05 2020 Anton Midyukov <antohami@altlinux.org> 0.16.0-alt1
- new version 0.16.0

* Sat Apr 25 2020 Anton Midyukov <antohami@altlinux.org> 0.15.0-alt1
- new version 0.15.0

* Fri Mar 08 2019 Anton Midyukov <antohami@altlinux.org> 0.14.1-alt1
- new version 0.14.1

* Mon Jan 28 2019 Anton Midyukov <antohami@altlinux.org> 0.14.0-alt1
- new version 0.14.0

* Thu May 24 2018 Anton Midyukov <antohami@altlinux.org> 0.13.0-alt1
- new version 0.13.0

* Tue Sep 26 2017 Michael Shigorin <mike@altlinux.org> 0.12.0-alt1
- 0.12.0

* Mon May 29 2017 Michael Shigorin <mike@altlinux.org> 0.11.1-alt1
- 0.11.1

* Mon Oct 03 2016 Michael Shigorin <mike@altlinux.org> 0.11.0-alt1
- 0.11.0
  + built against Qt5

* Tue Nov 03 2015 Michael Shigorin <mike@altlinux.org> 0.9.0-alt2
- rebuilt against current libraries

* Mon Sep 14 2015 Aleksey Avdeev <solo@altlinux.org> 0.9.0-alt1
- 0.9.0
- Fix license

* Wed Oct 15 2014 Michael Shigorin <mike@altlinux.org> 0.1.0-alt2
- rebuilt against current libraries

* Tue May 13 2014 Michael Shigorin <mike@altlinux.org> 0.1.0-alt1
- initial release

